org.tukaani.xz

## Class FinishableOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.tukaani.xz.FinishableOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Direct Known Subclasses:
  FinishableWrapperOutputStream, LZMAOutputStream, XZOutputStream

    public abstract class FinishableOutputStream
    extends OutputStream

Output stream that supports finishing without closing the underlying stream.

### Constructor Summary

Constructors
Constructor and Description
`FinishableOutputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `finish()` Finish the stream without closing the underlying stream.

### Methods inherited from class java.io.OutputStream

`close, flush, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FinishableOutputStream

    public FinishableOutputStream()

### Method Detail

#### finish

    public void finish()
                throws IOException

Finish the stream without closing the underlying stream. No more data may be written to the stream after finishing.

The `finish` method of `FinishableOutputStream` does nothing. Subclasses should override it if they need finishing support, which is the case, for example, with compressors.

Throws:
  `IOException`